Main Page Modules Data Structures File List Data Fields Globals Related Pages

# tools/dumpdb.c File Reference

`#include "system.h"`
`#include <rpmlib.h>`
`#include "header_internal.h"`
`#include "rpmdb.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | _RECNUM rpmdbGetIteratorOffset(mi)
## Functions
int | main (int argc, char **argv)

## Define Documentation

#define _RECNUM rpmdbGetIteratorOffset(mi)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |

| Definition at line 10 of file dumpdb.c. References _, HEADER_DUMP_INLINE, headerDump, rpmdbClose, rpmdbFreeIterator, RPMDBI_PACKAGES, rpmdbInitIterator, rpmdbNextIterator, rpmdbOpen, rpmReadConfigFiles, and setprogname.